[next] [prev] [prev-tail] [tail] [up]

#### 5.2.9 #INCLUDE

Syntax:

#INCLUDE filename

#INCLUDE instructs the compiler to read the contents of filename before continuing to process options in the current file.

This can be useful if you want to have a particular configuration file for a project (or, under linux, in your home directory), but still want to have the global options that are set in a global configuration file.

Example:

#IFDEF LINUX
#INCLUDE /etc/fpc.cfg
#ELSE
#IFDEF GO32V2
#INCLUDE c:\pp\bin\fpc.cfg
#ENDIF
#ENDIF

This will include /etc/fpc.cfg if you’re on a linux machine, and will include c:\pp\bin\fpc.cfg on a dos machine.

[next] [prev] [prev-tail] [front] [up]